# relativePath

abstract fun relativePath(path: Any): String

Returns the relative path from the project directory to the given path. The given path object is (logically) resolved as described for file, from which a relative path is calculated.

#### Return

The relative path. Never returns null.

#### Parameters

path

The path to convert to a relative path.

#### Throws

IllegalArgumentException

If the given path cannot be relativized against the project directory.